

:root {
  /* color varables */
  --main-bg-dark: #707070;
  --main-bg-trans: #707070a9;

  --primary: #003366;
  --primary-trans: #003366ef;
  --secondary: #d4af37;
  --light-section-bg-color: #f0f0f0;
  --title-color: #cd7f32;
  --text-color: #111;
  --light-text-color: #fffade;
  /* fonts */
  /* --title-font: 'Comfortaa', cursive; */
  --title-font: "copperplate_gothic_boldRg";
  --text-font:  arial;
}
@font-face {
  font-family: "copperplate_gothic_boldRg";
  src: url("/Copperplate Gothic Bold Regular/copperplate_gothic_bold_regular.woff2")
      format("woff2"),
    url("/Copperplate Gothic Bold Regular/copperplate_gothic_bold_regular.woff")
      format("woff");
  font-weight: normal;
  font-style: normal;
}
html {
  scroll-behavior: smooth;
}

body {
  background: linear-gradient(to bottom, #003366, #707070, #f0f0f0);
  line-height: 1.6;
  margin: 0;
  padding: 0;
  font-family: "roboto", sans-serif;
}


hr {
  margin: 10px 30%;
}

p,
li {
  font-family: var(--text-font);
  line-height: 1.5em;
  font-size: 18px;
  margin-bottom: .5rem;
}
li {
  margin-left: 2em;
}
h1,
h2,
h3,
h4,
h5 {
  font-family: var(--title-font);
  text-transform: capitalize;
  letter-spacing: 4px;
  line-height: 1.2em;
}
h1 {
  font-size: clamp(1rem, 2vw, 1.5rem);
}
h2 {
  font-size: clamp(.9rem, 1.8vw, 1.3rem);
}
h4 {
  font-size: clamp(0.8rem, 1.5vw, 1.1rem);
  text-align: center;
  color: var(--title-color);
}
p > a {
  color: var(--primary);
  font-weight: 700;
}
p > a:hover {
  border-bottom: 2px solid;
}

.custom-btn {
  display: flex;
  align-items: center;
  justify-content: center;
  max-width: 400px;
  margin: 20px auto;
}
.custom-btn a {
  background-color: var(--primary);
  padding: 5px 10px;
  letter-spacing: 0.2em;
  border-radius: 8px;
  border: 3px inset var(--secondary);
  color: var(--light-text-color);
  transition: 300ms ease-in-out;
  font-family: var(--title-font);
  font-size: clamp(.8rem, 1.8vw, 22px);
}
.custom-btn a:hover {
  background-color: #52a3eb;
  color: var(--text-color);
}


@keyframes fadeIn {
  from { opacity: 0; transform: translateY(180px); }
  to { opacity: 1; transform: translateY(0); }
}

.page > div {
  border-radius: 4px;
  border: 3px groove var(--secondary);
  opacity: 0; 
  transition: opacity 1s ease-out, transform 0.6s ease-out;
}



/* generic rule for all images */ 
.page img {
    border-radius: 8px;
  border: 3px outset var(--main-bg-dark);
}
/* Mark with logo */
.mark {
    background-color: var(--primary);
    padding: 10px;
  }
.mark-inner {
  display: flex;
  flex-wrap: wrap;
  gap: .8rem;
  justify-content: space-around;
  align-items: center;
}
/* Marks image to not show here on mobile */
.mark {
    display: none;
}
/* Mark's image on mid to larger screens in the hero area */
.mark2 img {
    max-width: 250px;
    margin: 10px auto;
}
/* badges and accomplishments */


.badges-inner p {
  font-size: 28px;
  color: var(--title-color);
}
.badges-inner .box {
  display: flex;
  flex-wrap: wrap;
  gap: .5rem;
  margin: 2.3rem 0;
  padding: .8em;
  align-items: center;
  justify-content: space-evenly;
}
.badges-inner img {
  height: 90px;
  border-radius: 8px;
  background-color: #fff;
}
.badges-inner img:hover {
  border: 1px solid var(--main-bg-dark);
  box-shadow: 0 0 10px #333;
}
/* hero section front page */
.hero {
  background-image: url("/assets/imgs/homes.webp");
  background-size: cover;
  background-position: center;
  min-height: 80vh;
  display: grid;
  place-items: center;
}
.hero a {
  color: var(--secondary)
}
@media (min-width: 40em) {
  
    .mark {
        display: block;
    }
    .mark2 img {
        display: none;
    }
}


.inner-hero {
  border: 1px solid var(--secondary);
  padding: 0.8em 1em;
  max-width: 900px;
  width: 90%;
  margin: 20px auto;
  text-align: center;
  border-radius: 4px;
  box-shadow: 0 0 15px #333;
  background-color: var(--primary-trans);
  color: var(--light-text-color);
}



/* introduction styling */
.intro {
  padding: 4em 10px;
  background-color: var(--light-section-bg-color);
}

.intro-inner {
  max-width: 1200px;
  margin: 0 auto;
}




/* registration area and form */
.registration-area {
    
   
    background-color: var(--light-section-bg-color);
  }



.registration-area-inner {
  box-shadow: 0 0 15px #333;
  background-color: rgba(245, 245, 220, 0.6);
  padding: 20px;
 
  
}
@media (min-width: 1000px) {
    /* backgroud image to only show on mid to larger screens */
    .registration-area {
display: grid;
    place-items: center;
      min-height: 80vh;
        background-image: url("/assets/imgs/signature-2743370_1280.jpg");
        background-size: cover;
        background-position: center;
    background-repeat: no-repeat;
    }
    .registration-area-inner {
        border: 3px outset var(--primary);
  border-radius: 4px;
   max-width: 90%;
  margin-inline: auto;
    }
}


/* sidebar with dropdowns */
.side-bar {
  background-color: #ddd;
  padding: 10px;
}

.side-bar h4 {
  text-align: center;
  margin: 20px 0;
}
summary::marker {
  font-size: clamp(.7rem, 0.9cqw, 1rem);
}
details {
  background-color: beige;
  color: var(--primary);
  min-width: 300px;
  margin: 10px auto;
  border: none;
  text-align: left;
  outline: none;
  max-width: 900px;
  position: relative;
}
details > summary {
  padding: 10px 20px;
  border-bottom: 1px solid #444;
}
details > summary h5 {
  font-size:  .8em;
}
details > div {
  background-color: var(--light-section-bg-color);
  padding: 5px 10px;
  color: var(--text-color);
  max-height: 400px;
  overflow-y: auto;
}

.footer {
  background-color: var(--primary);
  padding: 1.2em;
  color: var(--light-text-color);
}
.footer-inner {
  display: flex;
  flex-wrap: wrap;
  gap: 1rem;
  align-items: center;
  justify-content: space-around;
}


